MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.ITemperatureManager Interface Reference

## Public Member Functions
int | ReadDeviceTemperature ()
| Returns device temperature.
int | ReadProxyTemperature ()
| Returns board temperature.
void | WriteProxyTemperatureThreshold (int temperatureThreshold)
| Sets board temperature threshold.
int | ReadProxyTemperatureThreshold ()
| Returns board temperature threshold.
void | WriteDeviceTemperatureThreshold (int temperatureThreshold)
| Sets device temperature threshold.
int | ReadDeviceTemperatureThreshold ()
| Returns board temperature threshold.
int | ReadBoardOutputStageTemperature ()
| Returns board output stage temperature.
void | WriteBoardOutputStageTemperatureThreshold (int temperatureThreshold)
| Sets board output stage temperature threshold.
int | ReadBoardOutputStageTemperatureThreshold ()
| Returns board output stage temperature threshold.

## Member Function Documentation

## ◆ ReadBoardOutputStageTemperature()

int MrEModuleSdk.Devices.SdkInterfaces.ITemperatureManager.ReadBoardOutputStageTemperature | ( |  | ) |

Returns board output stage temperature.

Returns

## ◆ ReadBoardOutputStageTemperatureThreshold()

int MrEModuleSdk.Devices.SdkInterfaces.ITemperatureManager.ReadBoardOutputStageTemperatureThreshold | ( |  | ) |

Returns board output stage temperature threshold.

Returns

## ◆ ReadDeviceTemperature()

int MrEModuleSdk.Devices.SdkInterfaces.ITemperatureManager.ReadDeviceTemperature | ( |  | ) |

Returns device temperature.

Returns

## ◆ ReadDeviceTemperatureThreshold()

int MrEModuleSdk.Devices.SdkInterfaces.ITemperatureManager.ReadDeviceTemperatureThreshold | ( |  | ) |

Returns board temperature threshold.

Returns

## ◆ ReadProxyTemperature()

int MrEModuleSdk.Devices.SdkInterfaces.ITemperatureManager.ReadProxyTemperature | ( |  | ) |

Returns board temperature.

Returns

## ◆ ReadProxyTemperatureThreshold()

int MrEModuleSdk.Devices.SdkInterfaces.ITemperatureManager.ReadProxyTemperatureThreshold | ( |  | ) |

Returns board temperature threshold.

Returns

## ◆ WriteBoardOutputStageTemperatureThreshold()

void MrEModuleSdk.Devices.SdkInterfaces.ITemperatureManager.WriteBoardOutputStageTemperatureThreshold | ( | int | temperatureThreshold | ) |

Sets board output stage temperature threshold.

Returns

## ◆ WriteDeviceTemperatureThreshold()

void MrEModuleSdk.Devices.SdkInterfaces.ITemperatureManager.WriteDeviceTemperatureThreshold | ( | int | temperatureThreshold | ) |

Sets device temperature threshold.

Returns

## ◆ WriteProxyTemperatureThreshold()

void MrEModuleSdk.Devices.SdkInterfaces.ITemperatureManager.WriteProxyTemperatureThreshold | ( | int | temperatureThreshold | ) |

Sets board temperature threshold.

Returns

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/ITemperatureManager.cs